Get Rollout
Get a rollout’s state, result, error information, and artifact URIs.
GET
/
rollouts
/
{rollout_id}
cURL
curl --request GET \
--url http://127.0.0.1:{port}/rollouts/{rollout_id} \
--header 'Authorization: Bearer <token>'from harbor import Harbor
client = Harbor()
result = client.get_rollout("ROLLOUT_ID")
print(result)
client.close()
{
"rollout": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"state": "queued",
"retry_of": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phase": "environment_setup",
"task": {
"name": "<string>",
"digest": "<string>",
"source": "<string>"
},
"agent": {
"name": "<string>",
"version": "<string>"
},
"model": {
"name": "<string>",
"provider": "<string>",
"reasoning_effort": "<string>"
},
"rewards": {},
"usage": {
"n_input_tokens": 123,
"n_cached_input_tokens": 123,
"n_output_tokens": 123,
"cost_usd": 123
},
"error_type": "<string>",
"lock": {
"task": {
"name": "<string>",
"type": "local",
"digest": "<string>",
"version": "<string>",
"source": "<string>",
"path": "<string>",
"git_url": "<string>",
"git_commit_id": "<string>"
},
"agent": {
"name": "<string>",
"import_path": "<string>",
"model_name": "<string>",
"base_url": "<string>",
"model_api_key_name": "<string>",
"model_api_format": "openai_chat_completions",
"skip_model_parsing": false,
"n_concurrent": 2,
"concurrency_group": "<string>",
"skills": [
"<string>"
],
"override_timeout_sec": 123,
"override_setup_timeout_sec": 123,
"max_timeout_sec": 123,
"resume_trajectory": false,
"load_trajectory": "<string>",
"extra_allowed_hosts": [
"<string>"
],
"include_logs": [
"<string>"
],
"exclude_logs": [
"<string>"
],
"kwargs": {},
"env": {},
"mcp_servers": [
{
"name": "<string>",
"transport": "sse",
"url": "<string>",
"command": "<string>",
"args": [
"<string>"
],
"headers": {}
}
]
},
"environment": {
"type": "docker",
"import_path": "<string>",
"force_build": false,
"delete": true,
"stream": false,
"cpu_enforcement_policy": "auto",
"memory_enforcement_policy": "auto",
"override_cpus": 123,
"override_memory_mb": 123,
"override_storage_mb": 123,
"override_gpus": 123,
"override_tpu": {
"type": "<string>",
"topology": "<string>"
},
"mounts": [
{
"type": "bind",
"source": "<string>",
"target": "<string>",
"read_only": true,
"bind": {
"create_host_path": false,
"selinux": "z"
},
"volume": {
"subpath": "<string>"
},
"image": {
"subpath": "<string>"
}
}
],
"extra_docker_compose": [
"<string>"
],
"env": {},
"kwargs": {},
"extra_allowed_hosts": [
"<string>"
]
},
"verifier": {
"override_timeout_sec": 123,
"max_timeout_sec": 123,
"include_logs": [
"<string>"
],
"exclude_logs": [
"<string>"
],
"env": {},
"import_path": "<string>",
"kwargs": {},
"disable": false,
"extra_allowed_hosts": [
"<string>"
],
"environment_mode": "shared"
},
"schema_version": 2,
"install_only": false,
"timeout_multiplier": 1,
"agent_timeout_multiplier": 123,
"verifier_timeout_multiplier": 123,
"agent_setup_timeout_multiplier": 123,
"environment_build_timeout_multiplier": 123,
"extra_instructions": [
{
"digest": "<string>",
"path": "<string>"
}
],
"user_agent": {
"bridge": {
"kind": "acp",
"prompt_path": "<string>",
"kwargs": {}
},
"name": "<string>",
"import_path": "<string>",
"model_name": "<string>",
"base_url": "<string>",
"model_api_key_name": "<string>",
"model_api_format": "openai_chat_completions",
"skip_model_parsing": false,
"n_concurrent": 2,
"concurrency_group": "<string>",
"skills": [
"<string>"
],
"override_timeout_sec": 123,
"override_setup_timeout_sec": 123,
"max_timeout_sec": 123,
"resume_trajectory": false,
"load_trajectory": "<string>",
"extra_allowed_hosts": [
"<string>"
],
"include_logs": [
"<string>"
],
"exclude_logs": [
"<string>"
],
"kwargs": {},
"env": {},
"mcp_servers": [
{
"name": "<string>",
"transport": "sse",
"url": "<string>",
"command": "<string>",
"args": [
"<string>"
],
"headers": {}
}
],
"user_persona_path": "<string>",
"user_prompt_template_path": "<string>"
},
"user_persona": {
"digest": "<string>",
"path": "<string>"
},
"user_prompt_template": {
"digest": "<string>",
"path": "<string>"
},
"bridge_prompt": {
"digest": "<string>",
"path": "<string>"
},
"bridge_inputs": {},
"skills": [
{
"name": "<string>",
"source": "<string>",
"digest": "<string>",
"git_url": "<string>",
"git_commit_id": "<string>"
}
],
"extra_docker_compose": [
{
"path": "<string>",
"digest": "<string>"
}
],
"artifacts": [
"<string>"
],
"override_error_policy": {},
"source_trial": {
"action": "regrade",
"type": "local",
"trial_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"task": {
"name": "<string>",
"type": "local",
"digest": "<string>",
"version": "<string>",
"source": "<string>",
"path": "<string>",
"git_url": "<string>",
"git_commit_id": "<string>"
}
}
},
"artifacts": {},
"storage_error": {
"exception_type": "<string>",
"exception_message": "<string>",
"exception_traceback": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"policy": {
"should_retry": true,
"should_grade": true,
"has_valid_reward": true
},
"policy_override": {
"should_retry": true,
"should_grade": true,
"has_valid_reward": true
}
},
"result": {
"task_name": "<string>",
"trial_name": "<string>",
"trial_uri": "<string>",
"task_id": {
"path": "<string>"
},
"task_checksum": "<string>",
"config": {
"task": {
"path": "<string>",
"git_url": "<string>",
"git_commit_id": "<string>",
"name": "<string>",
"ref": "<string>",
"overwrite": false,
"download_dir": "<string>",
"source": "<string>"
},
"trial_name": "",
"trials_dir": "trials",
"install_only": false,
"timeout_multiplier": 1,
"agent_timeout_multiplier": 123,
"verifier_timeout_multiplier": 123,
"agent_setup_timeout_multiplier": 123,
"environment_build_timeout_multiplier": 123,
"agent": {
"name": "<string>",
"import_path": "<string>",
"model_name": "<string>",
"base_url": "<string>",
"model_api_key_name": "<string>",
"model_api_format": "openai_chat_completions",
"skip_model_parsing": false,
"n_concurrent": 2,
"concurrency_group": "<string>",
"skills": [
"<string>"
],
"override_timeout_sec": 123,
"override_setup_timeout_sec": 123,
"max_timeout_sec": 123,
"resume_trajectory": false,
"load_trajectory": "<string>",
"extra_allowed_hosts": [
"<string>"
],
"include_logs": [
"<string>"
],
"exclude_logs": [
"<string>"
],
"kwargs": {},
"env": {},
"mcp_servers": [
{
"name": "<string>",
"transport": "sse",
"url": "<string>",
"command": "<string>",
"args": [
"<string>"
],
"headers": {}
}
]
},
"user_agent": {
"bridge": {
"kind": "acp",
"prompt_path": "<string>",
"kwargs": {}
},
"name": "<string>",
"import_path": "<string>",
"model_name": "<string>",
"base_url": "<string>",
"model_api_key_name": "<string>",
"model_api_format": "openai_chat_completions",
"skip_model_parsing": false,
"n_concurrent": 2,
"concurrency_group": "<string>",
"skills": [
"<string>"
],
"override_timeout_sec": 123,
"override_setup_timeout_sec": 123,
"max_timeout_sec": 123,
"resume_trajectory": false,
"load_trajectory": "<string>",
"extra_allowed_hosts": [
"<string>"
],
"include_logs": [
"<string>"
],
"exclude_logs": [
"<string>"
],
"kwargs": {},
"env": {},
"mcp_servers": [
{
"name": "<string>",
"transport": "sse",
"url": "<string>",
"command": "<string>",
"args": [
"<string>"
],
"headers": {}
}
],
"user_persona_path": "<string>",
"user_prompt_template_path": "<string>"
},
"environment": {
"type": "docker",
"import_path": "<string>",
"force_build": false,
"delete": true,
"stream": false,
"cpu_enforcement_policy": "auto",
"memory_enforcement_policy": "auto",
"override_cpus": 123,
"override_memory_mb": 123,
"override_storage_mb": 123,
"override_gpus": 123,
"override_tpu": {
"type": "<string>",
"topology": "<string>"
},
"mounts": [
{
"type": "bind",
"source": "<string>",
"target": "<string>",
"read_only": true,
"bind": {
"create_host_path": false,
"selinux": "z"
},
"volume": {
"subpath": "<string>"
},
"image": {
"subpath": "<string>"
}
}
],
"extra_docker_compose": [
"<string>"
],
"env": {},
"kwargs": {},
"extra_allowed_hosts": [
"<string>"
]
},
"verifier": {
"override_timeout_sec": 123,
"max_timeout_sec": 123,
"include_logs": [
"<string>"
],
"exclude_logs": [
"<string>"
],
"env": {},
"import_path": "<string>",
"kwargs": {},
"disable": false,
"extra_allowed_hosts": [
"<string>"
]
},
"override_error_policy": {},
"artifacts": [
"<string>"
],
"extra_instruction_paths": [
"<string>"
],
"extra_instructions": [
"<string>"
],
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_trial": {
"action": "regrade",
"type": "local",
"trial_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>"
}
},
"agent_info": {
"name": "<string>",
"version": "<string>",
"model_info": {
"name": "<string>",
"provider": "<string>"
}
},
"reward_valid": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"agent_result": {
"n_input_tokens": 123,
"n_cache_tokens": 123,
"n_output_tokens": 123,
"cost_usd": 123,
"model_usage": {},
"rollout_details": [
{
"prompt_token_ids": [
[
123
]
],
"completion_token_ids": [
[
123
]
],
"logprobs": [
[
123
]
],
"extra": {}
}
],
"metadata": {}
},
"verifier_result": {
"rewards": {}
},
"verifier_environment_mode": "shared",
"exception_info": {
"exception_type": "<string>",
"exception_message": "<string>",
"exception_traceback": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"policy": {
"should_retry": true,
"should_grade": true,
"has_valid_reward": true
},
"policy_override": {
"should_retry": true,
"should_grade": true,
"has_valid_reward": true
}
},
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"environment_setup": {
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
},
"agent_setup": {
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
},
"agent_execution": {
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
},
"verifier": {
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
},
"step_results": [
{
"step_name": "<string>",
"agent_result": {
"n_input_tokens": 123,
"n_cache_tokens": 123,
"n_output_tokens": 123,
"cost_usd": 123,
"model_usage": {},
"rollout_details": [
{
"prompt_token_ids": [
[
123
]
],
"completion_token_ids": [
[
123
]
],
"logprobs": [
[
123
]
],
"extra": {}
}
],
"metadata": {}
},
"verifier_result": {
"rewards": {}
},
"exception_info": {
"exception_type": "<string>",
"exception_message": "<string>",
"exception_traceback": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"policy": {
"should_retry": true,
"should_grade": true,
"has_valid_reward": true
},
"policy_override": {
"should_retry": true,
"should_grade": true,
"has_valid_reward": true
}
},
"agent_execution": {
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
},
"verifier": {
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
}
]
}
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}⌘I
cURL
curl --request GET \
--url http://127.0.0.1:{port}/rollouts/{rollout_id} \
--header 'Authorization: Bearer <token>'from harbor import Harbor
client = Harbor()
result = client.get_rollout("ROLLOUT_ID")
print(result)
client.close()
{
"rollout": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"state": "queued",
"retry_of": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phase": "environment_setup",
"task": {
"name": "<string>",
"digest": "<string>",
"source": "<string>"
},
"agent": {
"name": "<string>",
"version": "<string>"
},
"model": {
"name": "<string>",
"provider": "<string>",
"reasoning_effort": "<string>"
},
"rewards": {},
"usage": {
"n_input_tokens": 123,
"n_cached_input_tokens": 123,
"n_output_tokens": 123,
"cost_usd": 123
},
"error_type": "<string>",
"lock": {
"task": {
"name": "<string>",
"type": "local",
"digest": "<string>",
"version": "<string>",
"source": "<string>",
"path": "<string>",
"git_url": "<string>",
"git_commit_id": "<string>"
},
"agent": {
"name": "<string>",
"import_path": "<string>",
"model_name": "<string>",
"base_url": "<string>",
"model_api_key_name": "<string>",
"model_api_format": "openai_chat_completions",
"skip_model_parsing": false,
"n_concurrent": 2,
"concurrency_group": "<string>",
"skills": [
"<string>"
],
"override_timeout_sec": 123,
"override_setup_timeout_sec": 123,
"max_timeout_sec": 123,
"resume_trajectory": false,
"load_trajectory": "<string>",
"extra_allowed_hosts": [
"<string>"
],
"include_logs": [
"<string>"
],
"exclude_logs": [
"<string>"
],
"kwargs": {},
"env": {},
"mcp_servers": [
{
"name": "<string>",
"transport": "sse",
"url": "<string>",
"command": "<string>",
"args": [
"<string>"
],
"headers": {}
}
]
},
"environment": {
"type": "docker",
"import_path": "<string>",
"force_build": false,
"delete": true,
"stream": false,
"cpu_enforcement_policy": "auto",
"memory_enforcement_policy": "auto",
"override_cpus": 123,
"override_memory_mb": 123,
"override_storage_mb": 123,
"override_gpus": 123,
"override_tpu": {
"type": "<string>",
"topology": "<string>"
},
"mounts": [
{
"type": "bind",
"source": "<string>",
"target": "<string>",
"read_only": true,
"bind": {
"create_host_path": false,
"selinux": "z"
},
"volume": {
"subpath": "<string>"
},
"image": {
"subpath": "<string>"
}
}
],
"extra_docker_compose": [
"<string>"
],
"env": {},
"kwargs": {},
"extra_allowed_hosts": [
"<string>"
]
},
"verifier": {
"override_timeout_sec": 123,
"max_timeout_sec": 123,
"include_logs": [
"<string>"
],
"exclude_logs": [
"<string>"
],
"env": {},
"import_path": "<string>",
"kwargs": {},
"disable": false,
"extra_allowed_hosts": [
"<string>"
],
"environment_mode": "shared"
},
"schema_version": 2,
"install_only": false,
"timeout_multiplier": 1,
"agent_timeout_multiplier": 123,
"verifier_timeout_multiplier": 123,
"agent_setup_timeout_multiplier": 123,
"environment_build_timeout_multiplier": 123,
"extra_instructions": [
{
"digest": "<string>",
"path": "<string>"
}
],
"user_agent": {
"bridge": {
"kind": "acp",
"prompt_path": "<string>",
"kwargs": {}
},
"name": "<string>",
"import_path": "<string>",
"model_name": "<string>",
"base_url": "<string>",
"model_api_key_name": "<string>",
"model_api_format": "openai_chat_completions",
"skip_model_parsing": false,
"n_concurrent": 2,
"concurrency_group": "<string>",
"skills": [
"<string>"
],
"override_timeout_sec": 123,
"override_setup_timeout_sec": 123,
"max_timeout_sec": 123,
"resume_trajectory": false,
"load_trajectory": "<string>",
"extra_allowed_hosts": [
"<string>"
],
"include_logs": [
"<string>"
],
"exclude_logs": [
"<string>"
],
"kwargs": {},
"env": {},
"mcp_servers": [
{
"name": "<string>",
"transport": "sse",
"url": "<string>",
"command": "<string>",
"args": [
"<string>"
],
"headers": {}
}
],
"user_persona_path": "<string>",
"user_prompt_template_path": "<string>"
},
"user_persona": {
"digest": "<string>",
"path": "<string>"
},
"user_prompt_template": {
"digest": "<string>",
"path": "<string>"
},
"bridge_prompt": {
"digest": "<string>",
"path": "<string>"
},
"bridge_inputs": {},
"skills": [
{
"name": "<string>",
"source": "<string>",
"digest": "<string>",
"git_url": "<string>",
"git_commit_id": "<string>"
}
],
"extra_docker_compose": [
{
"path": "<string>",
"digest": "<string>"
}
],
"artifacts": [
"<string>"
],
"override_error_policy": {},
"source_trial": {
"action": "regrade",
"type": "local",
"trial_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"task": {
"name": "<string>",
"type": "local",
"digest": "<string>",
"version": "<string>",
"source": "<string>",
"path": "<string>",
"git_url": "<string>",
"git_commit_id": "<string>"
}
}
},
"artifacts": {},
"storage_error": {
"exception_type": "<string>",
"exception_message": "<string>",
"exception_traceback": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"policy": {
"should_retry": true,
"should_grade": true,
"has_valid_reward": true
},
"policy_override": {
"should_retry": true,
"should_grade": true,
"has_valid_reward": true
}
},
"result": {
"task_name": "<string>",
"trial_name": "<string>",
"trial_uri": "<string>",
"task_id": {
"path": "<string>"
},
"task_checksum": "<string>",
"config": {
"task": {
"path": "<string>",
"git_url": "<string>",
"git_commit_id": "<string>",
"name": "<string>",
"ref": "<string>",
"overwrite": false,
"download_dir": "<string>",
"source": "<string>"
},
"trial_name": "",
"trials_dir": "trials",
"install_only": false,
"timeout_multiplier": 1,
"agent_timeout_multiplier": 123,
"verifier_timeout_multiplier": 123,
"agent_setup_timeout_multiplier": 123,
"environment_build_timeout_multiplier": 123,
"agent": {
"name": "<string>",
"import_path": "<string>",
"model_name": "<string>",
"base_url": "<string>",
"model_api_key_name": "<string>",
"model_api_format": "openai_chat_completions",
"skip_model_parsing": false,
"n_concurrent": 2,
"concurrency_group": "<string>",
"skills": [
"<string>"
],
"override_timeout_sec": 123,
"override_setup_timeout_sec": 123,
"max_timeout_sec": 123,
"resume_trajectory": false,
"load_trajectory": "<string>",
"extra_allowed_hosts": [
"<string>"
],
"include_logs": [
"<string>"
],
"exclude_logs": [
"<string>"
],
"kwargs": {},
"env": {},
"mcp_servers": [
{
"name": "<string>",
"transport": "sse",
"url": "<string>",
"command": "<string>",
"args": [
"<string>"
],
"headers": {}
}
]
},
"user_agent": {
"bridge": {
"kind": "acp",
"prompt_path": "<string>",
"kwargs": {}
},
"name": "<string>",
"import_path": "<string>",
"model_name": "<string>",
"base_url": "<string>",
"model_api_key_name": "<string>",
"model_api_format": "openai_chat_completions",
"skip_model_parsing": false,
"n_concurrent": 2,
"concurrency_group": "<string>",
"skills": [
"<string>"
],
"override_timeout_sec": 123,
"override_setup_timeout_sec": 123,
"max_timeout_sec": 123,
"resume_trajectory": false,
"load_trajectory": "<string>",
"extra_allowed_hosts": [
"<string>"
],
"include_logs": [
"<string>"
],
"exclude_logs": [
"<string>"
],
"kwargs": {},
"env": {},
"mcp_servers": [
{
"name": "<string>",
"transport": "sse",
"url": "<string>",
"command": "<string>",
"args": [
"<string>"
],
"headers": {}
}
],
"user_persona_path": "<string>",
"user_prompt_template_path": "<string>"
},
"environment": {
"type": "docker",
"import_path": "<string>",
"force_build": false,
"delete": true,
"stream": false,
"cpu_enforcement_policy": "auto",
"memory_enforcement_policy": "auto",
"override_cpus": 123,
"override_memory_mb": 123,
"override_storage_mb": 123,
"override_gpus": 123,
"override_tpu": {
"type": "<string>",
"topology": "<string>"
},
"mounts": [
{
"type": "bind",
"source": "<string>",
"target": "<string>",
"read_only": true,
"bind": {
"create_host_path": false,
"selinux": "z"
},
"volume": {
"subpath": "<string>"
},
"image": {
"subpath": "<string>"
}
}
],
"extra_docker_compose": [
"<string>"
],
"env": {},
"kwargs": {},
"extra_allowed_hosts": [
"<string>"
]
},
"verifier": {
"override_timeout_sec": 123,
"max_timeout_sec": 123,
"include_logs": [
"<string>"
],
"exclude_logs": [
"<string>"
],
"env": {},
"import_path": "<string>",
"kwargs": {},
"disable": false,
"extra_allowed_hosts": [
"<string>"
]
},
"override_error_policy": {},
"artifacts": [
"<string>"
],
"extra_instruction_paths": [
"<string>"
],
"extra_instructions": [
"<string>"
],
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_trial": {
"action": "regrade",
"type": "local",
"trial_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>"
}
},
"agent_info": {
"name": "<string>",
"version": "<string>",
"model_info": {
"name": "<string>",
"provider": "<string>"
}
},
"reward_valid": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"agent_result": {
"n_input_tokens": 123,
"n_cache_tokens": 123,
"n_output_tokens": 123,
"cost_usd": 123,
"model_usage": {},
"rollout_details": [
{
"prompt_token_ids": [
[
123
]
],
"completion_token_ids": [
[
123
]
],
"logprobs": [
[
123
]
],
"extra": {}
}
],
"metadata": {}
},
"verifier_result": {
"rewards": {}
},
"verifier_environment_mode": "shared",
"exception_info": {
"exception_type": "<string>",
"exception_message": "<string>",
"exception_traceback": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"policy": {
"should_retry": true,
"should_grade": true,
"has_valid_reward": true
},
"policy_override": {
"should_retry": true,
"should_grade": true,
"has_valid_reward": true
}
},
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"environment_setup": {
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
},
"agent_setup": {
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
},
"agent_execution": {
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
},
"verifier": {
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
},
"step_results": [
{
"step_name": "<string>",
"agent_result": {
"n_input_tokens": 123,
"n_cache_tokens": 123,
"n_output_tokens": 123,
"cost_usd": 123,
"model_usage": {},
"rollout_details": [
{
"prompt_token_ids": [
[
123
]
],
"completion_token_ids": [
[
123
]
],
"logprobs": [
[
123
]
],
"extra": {}
}
],
"metadata": {}
},
"verifier_result": {
"rewards": {}
},
"exception_info": {
"exception_type": "<string>",
"exception_message": "<string>",
"exception_traceback": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"policy": {
"should_retry": true,
"should_grade": true,
"has_valid_reward": true
},
"policy_override": {
"should_retry": true,
"should_grade": true,
"has_valid_reward": true
}
},
"agent_execution": {
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
},
"verifier": {
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
}
]
}
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}
